ST_NPoints
Prev | 8.4. Geometry Accessors | Next

## Name

ST_NPoints — Returns the number of points (vertices) in a geometry.

## Synopsis

`integer ST_NPoints(`geometry g1`)`;

## Description

Return the number of points in a geometry. Works for all geometries.

Enhanced: 2.0.0 support for Polyhedral surfaces was introduced.

Prior to 1.3.4, this function crashes if used with geometries that contain CURVES. This is fixed in 1.3.4+

This function supports 3d and will not drop the z-index.

This method supports Circular Strings and Curves

This function supports Polyhedral surfaces.

## Examples

    SELECT ST_NPoints(ST_GeomFromText('LINESTRING(77.29 29.07,77.42 29.26,77.27 29.31,77.29 29.07)'));
    --result
    4

    --Polygon in 3D space
    SELECT ST_NPoints(ST_GeomFromEWKT('LINESTRING(77.29 29.07 1,77.42 29.26 0,77.27 29.31 -1,77.29 29.07 3)'))
    --result
    4

## See Also

ST_NumPoints

Prev | Up | Next
ST_NDims | Home | ST_NRings